#!/usr/bin/python
# -*- coding: utf-8 -*-

""" Metadata abbreviations =============================================
If you want to form different groups of periods or genres, rewrite
the dictionaries below. E.g. for grouping administravite texts:
  'administrative letter': 'administrative', 
  'administrative record': 'administrative', 
  'administrative': 'administrative', 
==================================================================== """

abbrevs = {'period':
                {'neo-babylonian': 'NB',
                'neo-assyrian': 'NA',
                'old babylonian': 'OB',
                '_': 'No info',
                'middle assyrian': 'MA',
                'hellenistic': 'Hell',
                'middle babylonian': 'MB',
                'seleucid': 'Sel',
                'achaemenid': 'Ach',
                'standard babylonian': 'SB',
                'uncertain': 'Uncertain',
                'first millennium': '1stM',
                'late babylonian': 'LB',
                'old assyrian': 'OA',
                'lagaš ii': 'Lagaš',
                'old akkadian': 'OAkk',
                'ur iii': 'UrIII',
                'early dynastic': 'ED',
                'neo-assyrian, neo-babylonian': 'NA/NB'},
            'genre':
             {'_': 'no info',
            'administrative letter': 'administrative letter', 
            'administrative record': 'administrative record', 
            'administrative': 'administrative', 
            'astrological report': 'astrological report', 
            'astrological': 'astrological', 
            'astronomical': 'astronomical',
            'building inscription': 'building inscription',
            'extispicy query': 'extispicy query',
            'extispicy report': 'extispicy report',             
            'hemerological': 'hemerological', 
            'historical': 'historical', 
            'hymn-prayer': 'hymn-prayer',
            'incantation-ritual': 'incantation-ritual', 
            'legal transaction': 'legal transaction', 
            'legal': 'legal', 
            'letter': 'letter', 
            'lexical &amp; mathematical': 'lexical & mathematical', 
            'lexical': 'lexical', 
            'lexical; mathematical': 'lexical & mathematical', 
            'literary': 'literary',
            'literary work': 'literary',
            'mathematical': 'mathematical', 
            'medical': 'medical', 
            'omen': 'omen', 
            'prayer/incantation': 'prayer/incantation', 
            'priestly letter': 'priestly letter', ''
            'prophecy': 'prophecy', 
            'ritual': 'ritual', 
            'royal inscription': 'royal inscription', 
            'royal/momumental': 'royal/monumental', 
            'royal/monumental': 'royal/monumental', 
            'scholarly letter': 'scholarly letter', 
            'scholarly': 'scholarly', 
            'school': 'school', 
            'scientific': 'scientific', 
            'technical procedure': 'technical procedure', 
            'treaties': 'treaties',
            'grant': 'grant',
            'gift': 'gift',
            'decree': 'decree',
            'appointment': 'appointment',
            'votive donation': 'votive donation',              
            'uncertain': 'uncertain'}}

abbrevs_grouped = {'period':
                {'neo-babylonian': 'NB',
                'neo-assyrian': 'NA',
                'old babylonian': 'OB',
                '_': 'No info',
                'middle assyrian': 'MA',
                'hellenistic': 'Hell',
                'middle babylonian': 'MB',
                'seleucid': 'Sel',
                'achaemenid': 'Ach',
                'standard babylonian': 'SB',
                'uncertain': 'Uncertain',
                'first millennium': '1stM',
                'late babylonian': 'LB',
                'old assyrian': 'OA',
                'lagaš ii': 'Lagaš',
                'old akkadian': 'OAkk',
                'ur iii': 'UrIII',
                'early dynastic': 'ED',
                'neo-assyrian, neo-babylonian': 'NA/NB'},
            'genre':
             {'_': 'no info',
            'administrative letter': 'administrative letter', 
            'administrative record': 'administrative record', 
            'administrative': 'administrative', 
            'astrological report': 'astrological report', 
            'astrological': 'astrological', 
            'astronomical': 'astronomical', 
            'building inscription': 'building inscription', 
            'hemerological': 'hemerological', 
            'historical': 'historical', 
            'hymn-prayer': 'hymn-prayer', 
            'incantation-ritual': 'incantation-ritual', 
            'legal transaction': 'legal', 
            'legal': 'legal', 
            'letter': 'letter', 
            'lexical &amp; mathematical': 'lexical & mathematical', 
            'lexical': 'lexical', 
            'lexical; mathematical': 'lexical & mathematical', 
            'literary': 'literary', 
            'mathematical': 'mathematical', 
            'medical': 'medical', 
            'omen': 'omen', 
            'prayer/incantation': 'prayer/incantation', 
            'priestly letter': 'priestly letter', ''
            'prophecy': 'prophecy', 
            'ritual': 'ritual', 
            'royal inscription': 'royal inscription', 
            'royal/momumental': 'royal/monumental', 
            'royal/monumental': 'royal/monumental', 
            'scholarly letter': 'scholarly letter', 
            'scholarly': 'scholarly', 
            'school': 'school', 
            'scientific': 'scientific', 
            'technical procedure': 'technical procedure', 
            'treaties': 'treaties', 
            'uncertain': 'uncertain'}}